
Ryzom - Bug # 537

Status: Closed Priority: Normal
Author: sfb Category: Tools: General
Created: 05/11/2009 Assignee: kervala
Updated: 09/30/2010 Due date:
Subject: Convert tools and engine to use libsquish
Description

Presently the 3D tools uses the S3TC texture compression library which is no longer available for download. This issue is to replace
references to s3tc (chiefly s3tc_compressor_lib) an updated and maintained library. It has been decided that we should go with
libsquish (http://code.google.com/p/libsquish/)

History
#1 - 09/22/2009 06:40 pm - sfb
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1749.

#2 - 09/23/2009 03:00 pm - sfb
- Status changed from Resolved to Assigned

Sorry! I used the wrong issue number in that commit!

#3 - 12/25/2009 06:54 pm - kervala
- Assignee set to kervala
- % Done changed from 100 to 30

#4 - 12/25/2009 07:24 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 30 to 100

#5 - 12/25/2009 07:25 pm - kervala

We only needs to put libsquish in externals.

#6 - 12/25/2009 08:04 pm - sfb

Is libsquish available via RPM/deb/apt?

#7 - 12/26/2009 09:36 am - kervala

No, so we could include it in a subfolder of "s3tc_compressor_lib" project. That's the only project which depends on s3tc or squish, all other tools are
linked to it and are not using directly s3tc compress methods.
#8 - 12/26/2009 09:07 pm - sfb

That's a reasonable workaround, yes?

#9 - 12/26/2009 10:30 pm - kervala

For the moment, panoply_maker, hls_bank_maker and tga2dds are not really used by NeL users, so those who want to compile them may compile
libsquish themself (it provides cmake makefiles).

Btw libsquish is a very small library (10 .cpp files and 1 .h).

#10 - 03/05/2010 05:26 pm - sfb
- Status changed from Resolved to Closed

#11 - 09/29/2010 09:40 pm - kervala
- Project changed from NeL to Ryzom
- Category deleted (Tools)
- Target version deleted (0.8.0)

#12 - 09/30/2010 02:41 pm - kervala
- Category set to Tools: General
- Target version set to Version 0.7.0
